# Cog

Cog is a developer-focused base theme and starterkit created by Acquia's Professional Service Front-end Team. It is intended as a minimalistic baseline for custom theming, while exposing common tools and workflows. Cog provides a small amount of code to get started, but is still packed with utilities to extend.

* Responsive containers built on Susy grid system
* Initial SMACSS file architecture
* Common Twig files and theme dependencies
* Base preprocess functions for class definitions
* Modular gulp tasks for compiling and linting
* Living style guide construction via KSS-node

## Let's get started!
The Cog documentation you seek is located [here](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/README.md). This documentation will cover [installation steps](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/README.md#installation) and a theme [overview](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/README.md#overview) to provide insight into internal methodologies.

## Got Questions? 

Be sure to visit our [about document](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/_readme/about-cog.md) for high-level insight into topics including "[Background of Cog](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/_readme/about-cog.md#created)" and "[Comparing Cog to frameworks](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/_readme/about-cog.md#compare)"? 

## Theming Guide 

We have included a wide collection of snippets and resources in Cog in the format of a [theming guide](https://github.com/acquia-pso/cog/tree/8.x-1.x/STARTERKIT/_theming-guide). These code samples are referenced by common topics and technical methodologies. 

* [Sass in Drupal](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/sass.md)
* [Using Web Fonts in Drupal](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/fonts.md)
* [Twig for Drupal 8](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/twig.md)
* [Images in Drupal](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/images.md) 
* [Drupal 8 Libraries](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/libraries.md)
* [Preprocessing in Drupal](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/preprocessing.md)
* [JavaScript in Drupal](https://github.com/acquia-pso/cog/blob/8.x-1.x/STARTERKIT/_theming-guide/javascript.md)

---

## License, support, and contribution

Cog is provided as an open source tool in the hope that it will enabled developers to easily generate new Drupal projects that conform to Acquia Professional Services' best practices.

Please feel free to contribute to the project or file issues via the GitHub issue queue. When doing so, please keep the following points in mind:

* Cog is distributed under the GPLv2 license; WITHOUT ANY WARRANTY.
* The project maintainers make no commitment to respond to support requests, feature requests, or pull requests.
* All contributions to Cog will be reviewed for compliance with Drupal Coding Standards and best practices as defined by the project maintainer.

Cog work is currently being tracked in the [cog GitHub issue queue](https://github.com/acquia-pso/cog/issues) and organized via a [Waffle.io Kanban Board](https://waffle.io/acquia-pso/cog).

When making a pull request related to an issue, use the keywords 'Connects to #123' in your commit message to automatically relate the PR to the issue on the kanban board.
